# Guess .tex file name
guessFilename = function() {
  allTex = list.files(pattern=".+[.]tex$")
  drop = sapply(allTex, function(f) {
                          t=readLines(f, warn=FALSE)
                          return(length(grep("[\\]begin[[:blank:]]*[{]document[}]",t))==0)
                        })
  possible = allTex[!drop]
  if (length(possible)>1) stop("cannot guess tex file name, please specify it")
  return(possible)
}
